function UpData(type)
{
    var obj={path:type}
    document.querySelectorAll('#'+type+' input').forEach
    (
        function(dom)
        {
            if(dom.value)obj[dom.name]=dom.value
        }
    )
    Get(obj)
}

function Display(dom,id)
{
    document.getElementById(id).style.display='flex'
    document.getElementById(dom).style.display='none'
}

function Check(data)
{
    if(data=='true')
    {
        alert('操作成功')
    }
    else
    {
        alert('操作失败')
    }
}

function Get(obj) 
{
    var url='/?'+Get.unParam(obj)
    // XMLHttpRequest对象用于在后台与服务器交换数据   
    var xhr = new XMLHttpRequest();            
    xhr.open('GET', url, true);
    xhr.onload = function() 
    {
    Check(xhr.responseText)
    };
    xhr.onerror = function()
    {
        Check({})
    }
    xhr.send();
}

Get.unParam=function(data)
{
    var str="";
    if(data instanceof Object)
    {
        for (var key in data) 
        { 
            
            str+=encodeURIComponent(key)+'='+encodeURIComponent((data[key] instanceof Object)?JSON.stringify(data[key]):data[key])+'&';
        }
        if(str)str=str.replace(/&$/,'')
    }
    return str;
}